#pragma once

// our custom WiFi STA state
typedef enum wifi_sta_state {
    WIFI_STA_STATE_NONE,
    WIFI_STA_STATE_CONNECTING,
    WIFI_STA_STATE_CANCELLING,
    WIFI_STA_STATE_CONNECTED
} wifi_sta_state_t;

// stored state of the STA
extern wifi_sta_state_t wifi_current_sta_state;

// initialize event handlers for WiFi
void wifi_init_event_handlers();

// initialize softAP mode
void wifi_init_softap(const char* ssid, const char* password, int channel, int max_connections);
// initialize station mode
void wifi_init_station(const char* ssid, const char* password);
